## MateWeatherTimezoneMenu MateWeatherTimezoneMenu |

## Functions

GtkWidget * | mateweather_timezone_menu_new ()
void | mateweather_timezone_menu_set_tzid ()
const char * | mateweather_timezone_menu_get_tzid ()

## Properties

gpointer | top | Write / Construct Only
gchar * | tzid | Read / Write

## Types and Values

| MateWeatherTimezoneMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkComboBox
                            ╰── MateWeatherTimezoneMenu

## Implemented Interfaces

MateWeatherTimezoneMenu implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Description

A GtkComboBox subclass for choosing a MateWeatherTimezone

## Functions

### mateweather_timezone_menu_new ()

    GtkWidget *
    mateweather_timezone_menu_new (MateWeatherLocation *top);

Creates a new MateWeatherTimezoneMenu.

`top` will normally be a location returned from `mateweather_location_new_world()`, but you can create a menu that contains the timezones from a smaller set of locations if you want.

#### Parameters

top | the top-level location for the menu. |

#### Returns

the new MateWeatherTimezoneMenu

### mateweather_timezone_menu_set_tzid ()

    void
    mateweather_timezone_menu_set_tzid (MateWeatherTimezoneMenu *menu,
                                        const char *tzid);

Sets `menu` to the given `tzid` . If `tzid` is `NULL`, sets `menu` to "Unknown".

#### Parameters

menu | a MateWeatherTimezoneMenu |
tzid | a tzdata id (eg, "America/New_York"). | [allow-none]

### mateweather_timezone_menu_get_tzid ()

    const char *
    mateweather_timezone_menu_get_tzid (MateWeatherTimezoneMenu *menu);

Gets `menu` 's timezone id.

#### Parameters

menu | a MateWeatherTimezoneMenu |

#### Returns

`menu` 's tzid, or `NULL` if no timezone is selected.

[allow-none]

## Types and Values

### MateWeatherTimezoneMenu

    typedef struct _MateWeatherTimezoneMenu MateWeatherTimezoneMenu;

## Property Details

### The `“top”` property

      “top”                      gpointer

The MateWeatherLocation whose children will be used to fill in the menu.

Owner: MateWeatherTimezoneMenu

Flags: Write / Construct Only

### The `“tzid”` property

      “tzid”                     gchar *

The selected TZID.

Owner: MateWeatherTimezoneMenu

Flags: Read / Write

Default value: NULL